NLSL: genio.c File Reference

NLSL

- Main Page
- Modules
- Data Types List
- Files

- File List
- File Members

Classes | Macros | Functions | Variables
genio.c File Reference
`#include <errno.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "fortrancall.h"`
Include dependency graph for genio.c:

Go to the source code of this file.

## Classes
union | i4_datum
union | fpdatum

## Macros
#define | ERROR 1
#define | OK 0
#define | MAXCMTLNS 16
#define | MAXLINLTH 80
#define | MAXELEMENTS 1024 /* Max number of elements in an array record */

## Functions
unsigned int | getint ()
void | putint (int iout)
long int | getrecsize ()
void | putrecsize (int recsize)
int | ill_linerec ()
int | getlinerec (line)
void | putlinerec (line)
double | getreal ()
void | putreal (double *rout)
int | ill_arrayrec ()
int | getarray (array, long int arrylth, long int maxpts)
void | putarray (array, long int arrylth)
int | array_err (char *errstring)
long int FORTRAN() | getbin (filename, xarry, yarry, long int *npoints, comment, long int *ncmts, long int *maxpts)
long int | putbin (filename, xarry, yarry, long int *npoints, comment, long int *ncmts)

## Variables
int | errno
FILE * | inputfile
FILE * | outputfile
double | factor
double | offset
char | info [81]
union i4_datum | reclth
union fpdatum | fp

## Macro Definition Documentation

#define ERROR 1

Definition at line 35 of file genio.c.

#define MAXCMTLNS 16

Definition at line 37 of file genio.c.

#define MAXELEMENTS 1024 /* Max number of elements in an array record */

Definition at line 39 of file genio.c.

#define MAXLINLTH 80

Definition at line 38 of file genio.c.

#define OK 0

Definition at line 36 of file genio.c.

## Function Documentation

int array_err | ( | char * | errstring | ) |

Definition at line 228 of file genio.c.

Here is the caller graph for this function:

int getarray | ( | array | ,
|  | long int | arrylth,
|  | long int | maxpts
| ) |  |

Definition at line 186 of file genio.c.

Here is the call graph for this function:

Here is the caller graph for this function:

long int FORTRAN() getbin | ( | filename | ,
|  | xarry | ,
|  | yarry | ,
|  | long int * | npoints,
|  | comment | ,
|  | long int * | ncmts,
|  | long int * | maxpts
| ) |  |

Definition at line 236 of file genio.c.

Here is the call graph for this function:

unsigned int getint | ( |  | ) |

Definition at line 52 of file genio.c.

Here is the caller graph for this function:

int getlinerec | ( | line |  | ) |

Definition at line 112 of file genio.c.

Here is the call graph for this function:

Here is the caller graph for this function:

double getreal | ( |  | ) |

Definition at line 154 of file genio.c.

Here is the caller graph for this function:

long int getrecsize | ( |  | ) |

Definition at line 82 of file genio.c.

Here is the call graph for this function:

Here is the caller graph for this function:

int ill_arrayrec | ( |  | ) |

Definition at line 180 of file genio.c.

Here is the caller graph for this function:

int ill_linerec | ( |  | ) |

Definition at line 106 of file genio.c.

Here is the caller graph for this function:

void putarray | ( | array | ,
|  | long int | arrylth
| ) |  |

Definition at line 210 of file genio.c.

Here is the call graph for this function:

Here is the caller graph for this function:

long int putbin | ( | filename | ,
|  | xarry | ,
|  | yarry | ,
|  | long int * | npoints,
|  | comment | ,
|  | long int * | ncmts
| ) |  |

Definition at line 303 of file genio.c.

Here is the call graph for this function:

void putint | ( | int | iout | ) |

Definition at line 60 of file genio.c.

Here is the caller graph for this function:

void putlinerec | ( | line |  | ) |

Definition at line 128 of file genio.c.

Here is the call graph for this function:

Here is the caller graph for this function:

void putreal | ( | double * | rout | ) |

Definition at line 162 of file genio.c.

Here is the caller graph for this function:

void putrecsize | ( | int | recsize | ) |

Definition at line 89 of file genio.c.

Here is the call graph for this function:

Here is the caller graph for this function:

## Variable Documentation

int errno

double factor

Definition at line 44 of file genio.c.

union fpdatum fp

char info[81]

Definition at line 45 of file genio.c.

FILE* inputfile

Definition at line 43 of file genio.c.

double offset

Definition at line 44 of file genio.c.

FILE * outputfile

Definition at line 43 of file genio.c.

union i4_datum reclth